---
search:
  tags:
    - V1
    - PATCH
seo:
  description: >-
    Update mutable test config fields. Judge… Reference for the PATCH
    /v1/projects/{projectId}/test-configs/{testConfigId} endpoint in the
    Judgeval API.
sidebar:
  label: Update test config
  badge: PATCH
title: Update test config
type: openapi-operation
---
Update mutable test config fields. Judge membership is intentionally not patched in place.

`PATCH /v1/projects/{projectId}/test-configs/{testConfigId}`

**Request body** (`application/json`, required)

- `name` (string)
- `description` (string | null)

Request body example:

```json
{
  "name": "string",
  "description": "string"
}
```

**Responses**

- `200` — Response for status 200
- `404` — Response for status 404
- `409` — Response for status 409

Response example, 200:

```json
{
  "test_config": {
    "id": "string",
    "organization_id": "string",
    "project_id": "string",
    "dataset_id": "string",
    "name": "string",
    "description": "string",
    "created_at": "string",
    "updated_at": "string",
    "user_id": "string",
    "judges": [
      {
        "id": "string",
        "organization_id": "string",
        "project_id": "string",
        "test_config_id": "string",
        "judge_id": "string",
        "created_at": "string",
        "user_id": "string",
        "judge": {
          "id": "string",
          "name": "string",
          "judge_type": "string",
          "score_type": "string"
        }
      }
    ]
  }
}
```
